Bug 174170 - CVE-2005-2970 httpd worker MPM memory consumption DoS
CVE-2005-2970 httpd worker MPM memory consumption DoS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
http://svn.apache.org/viewcvs?rev=292...
impact=moderate,source=cve,public=200...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-25 07:45 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-10 08:38:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-11-25 07:45:36 EST
fc5 tracking bug

+++ This bug was initially created as a clone of Bug #171756 +++

Memory leak in the worker MPM (worker.c) for Apache 2, in certain
circumstances, allows remote attackers to cause a denial of service
(memory consumption) via aborted connections, which prevents the
memory for the transaction pool from being reused for other
connections.

-- Additional comment from bressers@redhat.com on 2005-10-25 18:06 EST --
This issue should also affect FC3
Comment 1 Joe Orton 2006-01-10 08:38:51 EST
This is fixed in the FC5test2 httpd package.  (fixed since 2.1.9 on the 2.1.x
branch)

Note You need to log in before you can comment on or make changes to this bug.